Skip to main content
`Ctrl`+`K`

# MatCreateSubMatrixFree

Creates a reduced matrix by masking a full matrix.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode MatCreateSubMatrixFree(Mat mat, IS Rows, IS Cols, Mat *J)

Collective

## Input Parameters

- mat - matrix of arbitrary type

- Rows - the rows that will be in the submatrix

- Cols - the columns that will be in the submatrix

## Output Parameter

- J - New matrix

## Note

The caller is responsible for destroying the input objects after matrix J has been destroyed.

## Developer Note

This should be moved/supported in `Mat`

## See Also

`MatCreate()`

## Level

developer

## Location

src/tao/matrix/submatfree.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages